
using Godot;


namespace Rokojori
{  
  [Tool][GlobalClass, Icon("res://addons/rokojori_action_library/Icons/ActionReference.svg")]
  public partial class ActionReference : Action
  {
    [Export]
    public Action referencedAction;

    protected override void _OnTrigger()
    {
      Action.Trigger( referencedAction );
    }
  }

}